-- *********************************************************************
-- Update Database Script
-- *********************************************************************
-- Change Log: upgrade.changelog-up-to-7.2.0.xml
-- Ran at: 02/10/2024 11:23
-- Against: squashtm@jdbc:postgresql://postgres/squashtest
-- Liquibase version: 4.17.2
-- *********************************************************************

-- Lock Database
UPDATE databasechangeloglock SET LOCKED = TRUE, LOCKEDBY = 'runner-yfpexrfv8-project-33554404-concurrent-0-7wuk1asf (100.64.1.97)', LOCKGRANTED = NOW() WHERE ID = 1 AND LOCKED = FALSE;

-- Changeset ../tm/tm.changelog-7.2.0.xml::tm-7.2.0::bmsaddek
-- Update TM database version number
UPDATE CORE_CONFIG SET VALUE = '7.2.0' WHERE STR_KEY = 'squashtest.tm.database.version';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('tm-7.2.0', 'bmsaddek', '../tm/tm.changelog-7.2.0.xml', NOW(), 1, '8:452cb5a85754124805f0685c0a6ae768', 'update tableName=CORE_CONFIG', 'Update TM database version number', 'EXECUTED', NULL, NULL, '4.17.2', '7861035020');

-- Changeset ../tm/tm.changelog-7.2.0.xml::tm-7.2.0-remove-item-test-plan-execution-constraint-postgres::bmsaddek
ALTER TABLE ITEM_TEST_PLAN_EXECUTION DROP CONSTRAINT item_test_plan_execution_item_test_plan_id_execution_order_key;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('tm-7.2.0-remove-item-test-plan-execution-constraint-postgres', 'bmsaddek', '../tm/tm.changelog-7.2.0.xml', NOW(), 2, '8:6bb2ef6e2a702185750602414689a043', 'dropUniqueConstraint constraintName=item_test_plan_execution_item_test_plan_id_execution_order_key, tableName=ITEM_TEST_PLAN_EXECUTION', '', 'EXECUTED', NULL, NULL, '4.17.2', '7861035020');

-- Release Database Lock
UPDATE databasechangeloglock SET LOCKED = FALSE, LOCKEDBY = NULL, LOCKGRANTED = NULL WHERE ID = 1;

